// Need G4P library
import g4p_controls.*;
import processing.serial.*;

Serial myPort;  // Create object from Serial class
float inputVoltage = 20;


public void setup(){
  size(480, 320, JAVA2D);
  createGUI();
  customGUI();
  // Place your setup code here
  String portName = Serial.list()[7];
  //println(portName);
  myPort = new Serial(this, portName, 9600); 
}

public void draw(){
  background(230); 
}

public void writeCommand(byte source, byte voltage){
  println(source);
  println(voltage);
  byte out[] = new byte[2];
  out[0] = source;
  out[1] = voltage;
  printArray(out);
  myPort.write(out);
}

// Use this method to add additional statements
// to customise the GUI controls
public void customGUI(){

}
